Growth
GET
/v1/growthPercentage change on the same period last year, the previous period, and year to date.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| countryoptional | string query | One or more ISO codes, comma separated e.g. CL,BA,AT |
| measurerequired | string query | arrivals, nights, spend, departures, occupancy or capacity e.g. arrivals |
| periodoptional | period query | One period; defaults to the latest finished one e.g. 2026-08 |
Request
# Change on last year, month or quarter
curl "https://api.tourismapi.com/v1/growth?country=CL,JP,TH&measure=arrivals&period=2026-08" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/growth?country=CL,JP,TH&measure=arrivals&period=2026-08", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/growth?country=CL,JP,TH&measure=arrivals&period=2026-08",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/growth?country=CL,JP,TH&measure=arrivals&period=2026-08");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_e295df5140",
"data_as_of": "2026-10-20T04:48:17Z",
"count": 3,
"measure": "arrivals"
},
"data": [
{
"country": "CL",
"note": "No arrivals figure held for CL at that period."
},
{
"country": "JP",
"series": "sr_wxq9yq5v",
"unit": "visitors",
"period": "2026-08",
"value": 3098900,
"year_before": 3428406,
"yoy_pct": -9.6,
"ytd": 27626262,
"ytd_year_before": 28384099,
"ytd_pct": -2.7
},
{
"country": "TH",
"series": "sr_mvtdw63b",
"unit": "persons",
"period": "2026-08",
"value": 2515320,
"year_before": 2583640,
"yoy_pct": -2.6,
"ytd": 20935150,
"ytd_year_before": 21599460,
"ytd_pct": -3.1
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| country | string | CL |
| note | string | No arrivals figure held for CL at that period. |